#!/bin/bash

PHOSCON_SDCARD="02544d534130384722"
THIS_SDCARD=$(cat /sys/block/mmcblk0/device/cid)
THIS_SDCARD=$(echo ${THIS_SDCARD:0:18})

LOG_EMERG="<0>"
LOG_ALERT="<1>"
LOG_CRIT="<2>"
LOG_ERROR="<3>"
LOG_WARN="<4>"
LOG_NOTICE="<5>"
LOG_INFO="<6>"
LOG_DEBUG="<7>"

## check wifi service ##
# enable WiFi service just for Phoscon gateways which
# have a printet label with WiFi password

systemctl is-active --quiet deconz-wifi
if [ $? -ne 0 ] && [ $THIS_SDCARD == $PHOSCON_SDCARD ]; then
	echo "${LOG_INFO} starting deconz-wifi.service"
	systemctl start deconz-wifi
	systemctl enable deconz-wifi
fi

while [ 1 ]
do
	sleep 30
done
